I have Mac OS X version 10.4.11: do I buy Leopard or Snow Leopard?

I received an IPhone3G yesterday and am trying to set up ITunes, which states I must have Snow Leopard or Leopard to accomplish certain aspects. What do I do?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Snow leopard if you have an Intel processor. Leopard if you have a PowerPC processor faster than 857 MHz. No upgrade available of you have a PowerPC processor 866 MHz or slower.

    Was this useful? Answer 1

    8 of 8 people found this useful

Related Questions